/** 事件合并 / 事务机制 */
export declare class Transaction<TPayload> {
    private emitFn;
    private suppress;
    private queuedPayload;
    constructor(emitFn: (payload: TPayload) => void);
    batch<T>(fn: () => T): T;
    requestEmit(payload: TPayload): void;
    isBatching(): boolean;
    reset(): void;
}
